> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List project templates

> Returns all available project templates including their name, icon, emoji, and metadata.



## OpenAPI

````yaml get /templates/projects
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /templates/projects:
    get:
      tags:
        - Templates
      summary: List project templates
      description: >-
        Returns all available project templates including their name, icon,
        emoji, and metadata.
      operationId: getProjectTemplates
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        originId:
                          type: string
                        userId:
                          type: string
                        workspaceId:
                          type: string
                        name:
                          type: string
                        icon:
                          type: object
                          properties:
                            name:
                              type: string
                            color:
                              type: string
                          required:
                            - name
                            - color
                        emoji:
                          type: object
                          properties:
                            emojiStyle:
                              type: string
                            unified:
                              type: string
                          required:
                            - unified
                        reference:
                          type: string
                        description:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - _id
                        - userId
                        - workspaceId
                        - name
                        - createdAt
                        - updatedAt
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````